## org.eclipse.jetty.websocket
Interface WebSocketConnection

All Superinterfaces:
  Connection, WebSocket.Outbound

All Known Implementing Classes:
  WebSocketConnectionD00

    public interface WebSocketConnection

extends Connection, WebSocket.Outbound

Method Summary
`void` `fillBuffersFrom(Buffer buffer)`
`void` `handshake(HttpServletRequest request, HttpServletResponse response, String origin, String subprotocol)`

Methods inherited from interface org.eclipse.jetty.io.Connection
`closed, getTimeStamp, handle, isIdle, isSuspended`

Methods inherited from interface org.eclipse.jetty.websocket.WebSocket.Outbound
`disconnect, isOpen, sendFragment, sendMessage, sendMessage, sendMessage`

Method Detail

### fillBuffersFrom

    void fillBuffersFrom(Buffer buffer)

### handshake

    void handshake(HttpServletRequest request,
                   HttpServletResponse response,
                   String origin,
                   String subprotocol)
                   throws IOException

  Throws:
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.